package com.ruoyi.logistics.service;
import com.alibaba.fastjson.JSONObject;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.logistics.domain.BizWaybillOrder;
/**
 * 物流相关接口定义
 *
 * @author RuiJing
 * @date 2026-02-02
 */
public interface LogisticsService {


    /**
     * 预下单  检验能否正常下单
     *
     * @author RuiJing
     * @date 2026-02-02
     */
    JSONObject precheckOrder(BizWaybillOrder bizWaybillOrder);
    /**
     * 创建物流订单
     *
     * @author RuiJing
     * @date 2026-02-02
     */
    JSONObject createOrder(BizWaybillOrder bizWaybillOrder) throws JsonProcessingException;

    /**
     * 取消物流订单
     *
     * @author RuiJing
     * @date 2026-02-02
     */

    JSONObject cancelOrder(BizWaybillOrder bizWaybillOrder) ;
    /**
     *修改物流订单
     *
     * @author RuiJing
     * @date 2026-02-02
     */
    JSONObject modifyOrder(BizWaybillOrder bizWaybillOrder) ;

    /**
     * 获取月结二维码
     */
    JSONObject getMonthQRCode(Integer type);

    /**
     * 根据二维码查询
     */
    JSONObject queryOrderByQRCode(String qrCode, Integer qrcodeType);

    /**
     * 根据运单号查询订单详情
     */
    JSONObject queryOrderDetailByWaybillCode(String waybillCode);

    /**
     * 根据运单号查询订单费用信息
     */
    JSONObject queryOrderFeeInfo(String waybillCode);

    /**
     * 根据运单信息获取面单pdf
     */
    JSONObject queryWaybillPdf(BizWaybillOrder bizWaybillOrder);

}
